Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezsoapenvelope.php
Go to the documentation of this file.
1 <?php
20 class eZSOAPEnvelope
21 {
22 const ENV = "http://schemas.xmlsoap.org/soap/envelope/";
23 const ENC = "http://schemas.xmlsoap.org/soap/encoding/";
24 const SCHEMA_INSTANCE = "http://www.w3.org/2001/XMLSchema-instance";
25 const SCHEMA_DATA = "http://www.w3.org/2001/XMLSchema";
26
27 const ENV_PREFIX = "SOAP-ENV";
28 const ENC_PREFIX = "SOAP-ENC";
29 const XSI_PREFIX = "xsi";
30 const XSD_PREFIX = "xsd";
31
32 const INT = 1;
33 const STRING = 2;
34
38 public function __construct( )
39 {
40 $this->Header = new eZSOAPHeader();
41 $this->Body = new eZSOAPBody();
42 }
43
45 public $Header;
46
48 public $Body;
49 }
50
51 ?>
eZSOAPBody
Handles the soap body.
Definition: ezsoapbody.php:17
eZSOAPEnvelope
SOAP envelope handling and definition.
Definition: ezsoapenvelope.php:21
eZSOAPEnvelope\XSI_PREFIX
const XSI_PREFIX
Definition: ezsoapenvelope.php:29
eZSOAPEnvelope\ENC_PREFIX
const ENC_PREFIX
Definition: ezsoapenvelope.php:28
eZSOAPEnvelope\INT
const INT
Definition: ezsoapenvelope.php:32
eZSOAPEnvelope\ENV_PREFIX
const ENV_PREFIX
Definition: ezsoapenvelope.php:27
eZSOAPEnvelope\XSD_PREFIX
const XSD_PREFIX
Definition: ezsoapenvelope.php:30
eZSOAPEnvelope\SCHEMA_DATA
const SCHEMA_DATA
Definition: ezsoapenvelope.php:25
eZSOAPEnvelope\ENC
const ENC
Definition: ezsoapenvelope.php:23
eZSOAPEnvelope\ENV
const ENV
Definition: ezsoapenvelope.php:22
eZSOAPEnvelope\STRING
const STRING
Definition: ezsoapenvelope.php:33
eZSOAPEnvelope\SCHEMA_INSTANCE
const SCHEMA_INSTANCE
Definition: ezsoapenvelope.php:24
eZSOAPEnvelope\$Header
$Header
Contains the header object.
Definition: ezsoapenvelope.php:45
eZSOAPEnvelope\$Body
$Body
Contains the body object.
Definition: ezsoapenvelope.php:48
eZSOAPEnvelope\__construct
__construct()
Definition: ezsoapenvelope.php:38
eZSOAPHeader
eZSOAPHeader handles SOAP headers
Definition: ezsoapheader.php:19
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.